Installation problem: curl: (35) Unknown SSL protocol error in connection to raw.github.com:443

7,438 views
Skip to first unread message

alfam...@gmail.com

unread,
Mar 3, 2013, 11:50:12 PM3/3/13
to rubyversi...@googlegroups.com
Hi friends!
I'm trying to install rvm in a fresh Ubuntu Server 12.10 using this command:

\curl -L https://get.rvm.io | bash -s stable

I always get this error:
 curl: (35) Unknown SSL protocol error in connection to raw.github.com:443

I googled a lot, tried many suggestions but nothing works.
Could anyone help me?

Thank you very much!
Luis

Richard Michael

unread,
Mar 4, 2013, 3:15:25 AM3/4/13
to rubyversi...@googlegroups.com
Can you please gist the output of curl in verbose mode, then we can
see the SSL handshaking, certificate file, HTTP headers, curl version,
etc..? Use this, then cut and paste:

\curl --verbose -i -L https://get.rvm.io 2>&1 | less


Do you have a .curlrc file which is affecting the SSL negotiation?
You can disable the rc file with "\curl -q -L ...." (-q must be the
first command line option).

Cheers
> --
> --
> Please visit http://rvm.io/ for documentation on rvm.
> Please visit https://www.pivotaltracker.com/projects/26822 to see what is
> being worked on currently.
>
> You received this message because you are subscribed to the Google
> Groups "rvm (Ruby Version Manager)" group.
> To post to this group, send email to rubyversi...@googlegroups.com
> To unsubscribe from this group, send email to
> rubyversionmana...@googlegroups.com
> For more options, visit this group at
> http://groups.google.com/group/rubyversionmanager?hl=en
>
> ---
> You received this message because you are subscribed to the Google Groups
> "RVM (Ruby Version Manager)" group.
> To unsubscribe from this group and stop receiving emails from it, send an
> email to rubyversionmana...@googlegroups.com.
> For more options, visit https://groups.google.com/groups/opt_out.
>
>

alfam...@gmail.com

unread,
Mar 4, 2013, 9:45:18 AM3/4/13
to rubyversi...@googlegroups.com
Thank you Richard for your help. I will paste hear the output.
I tried to enable port 443 in the Ubuntu firewall before this command, but the problem continued.
I'm sorry about gist... I never used it  :-)  .


\curl --verbose -i -L https://get.rvm.io 2>&1
* About to connect() to get.rvm.io port 443 (#0)
*   Trying 208.85.148.213...
* connected
* Connected to get.rvm.io (208.85.148.213) port 443 (#0)
* successfully set certificate verify locations:
*   CAfile: none
  CApath: /etc/ssl/certs
* SSLv3, TLS handshake, Client hello (1):
* SSLv3, TLS handshake, Server hello (2):
* SSLv3, TLS handshake, CERT (11):
* SSLv3, TLS handshake, Server key exchange (12):
* SSLv3, TLS handshake, Server finished (14):
* SSLv3, TLS handshake, Client key exchange (16):
* SSLv3, TLS change cipher, Client hello (1):
* SSLv3, TLS handshake, Finished (20):
* SSLv3, TLS change cipher, Client hello (1):
* SSLv3, TLS handshake, Finished (20):
* SSL connection using DHE-RSA-AES256-SHA
* Server certificate:
*      subject: OU=Domain Control Validated; OU=EssentialSSL Wildcard; CN=*.rvm.io
*      start date: 2012-03
*      expire date: 2013-03
*      subjectAltName: get.rvm.io matched
*      issuer: C=GB; S
*      SSL certificate verify ok.
> GET / HTTP/1.1
> User-Agent: curl/7.27.0
> Host: get.rvm.io
> Accept: */*
>
* additional stuff not fine transfer.c:1037: 0 0
* HTTP 1.1 or later with persistent connection, pipelining supported
< HTTP/1.1 301 Moved Permanently
HTTP/1.1 301 Moved Permanently
< Server: nginx/1.0.14
Server: nginx/1.0.14
< Date: Mon, 04 Mar 2013 14:32:38 GMT
Date: Mon, 04 Mar 2013 14:32:38 GMT
< Content-Type: text/html
Content-Type: text/html
< Content-Length: 185
Content-Length: 185
< Connection: keep-alive
Connection: keep-alive
< Location: https://raw.github.com/wayneeseguin/rvm/master/binscripts/rvm-installer
Location: https://raw.github.com/wayneeseguin/rvm/master/binscripts/rvm-installer

<
* Ignoring the response-body
* Connection #0 to host get.rvm.io left intact
* Issue another request to this URL: 'https://raw.github.com/wayneeseguin/rvm/master/binscripts/rvm-installer'
* About to connect() to raw.github.com port 443 (#1)
*   Trying 199.27.72.133...
* connected
* Connected to raw.github.com (199.27.72.133) port 443 (#1)
* successfully set certificate verify locations:
*   CAfile: none
  CApath: /etc/ssl/certs
* SSLv3, TLS handshake, Client hello (1):
* SSLv3, TLS handshake, Server hello (2):
* SSLv3, TLS handshake, CERT (11):
* SSLv3, TLS handshake, Server finished (14):
* SSLv3, TLS handshake, Client key exchange (16):
* SSLv3, TLS change cipher, Client hello (1):
* SSLv3, TLS handshake, Finished (20):
* SSLv3, TLS change cipher, Client hello (1):
* SSLv3, TLS handshake, Finished (20):
* SSL connection using RC4-SHA
* Server certificate:
*      subject: C=US; ST=California; L=San Francisco; O=Github, Inc.; CN=*.github.com
*      start date: 2013-01
*      expire date: 2014-02
*      subjectAltName: raw.github.com matched
*      issuer: C=US; O
*      SSL certificate verify ok.
> GET /wayneeseguin/rvm/master/binscripts/rvm-installer HTTP/1.1
> User-Agent: curl/7.27.0
> Host: raw.github.com
> Accept: */*
>
* additional stuff not fine transfer.c:1037: 0 0
* HTTP 1.1 or later with persistent connection, pipelining supported
< HTTP/1.1 200 OK
HTTP/1.1 200 OK
< Date: Mon, 04 Mar 2013 14:32:39 GMT
Date: Mon, 04 Mar 2013 14:32:39 GMT
< Server: GitHub.com
Server: GitHub.com
< Content-Type: text/plain; charset=utf-8
Content-Type: text/plain; charset=utf-8
< Status: 200 OK
Status: 200 OK
< X-RateLimit-Limit: 100
X-RateLimit-Limit: 100
< X-RateLimit-Remaining: 100
X-RateLimit-Remaining: 100
< X-Frame-Options: deny
X-Frame-Options: deny
< X-Content-Type-Options: nosniff
X-Content-Type-Options: nosniff
< Content-Disposition: inline
Content-Disposition: inline
< Content-Transfer-Encoding: binary
Content-Transfer-Encoding: binary
< X-Runtime: 12
X-Runtime: 12
< ETag: "a94aa3f48a89c24574a1c3625a734fba"
ETag: "a94aa3f48a89c24574a1c3625a734fba"
< Via: 1.1 varnish
Via: 1.1 varnish
< Content-Length: 11525
Content-Length: 11525
< Accept-Ranges: bytes
Accept-Ranges: bytes
< Via: 1.1 varnish
Via: 1.1 varnish
< Age: 0
Age: 0
< X-Served-By: cache-v26-ASH
X-Served-By: cache-v26-ASH
< X-Cache: MISS
X-Cache: MISS
< X-Cache-Hits: 0
X-Cache-Hits: 0
< Vary: Accept-Encoding
Vary: Accept-Encoding
< Cache-Control: private
Cache-Control: private

<
#!/usr/bin/env bash

BASH_MIN_VERSION="3.2.25"
if
  [[ -n "${BASH_VERSION:-}" &&
    "$(printf "%b" "${BASH_VERSION:-}\n${BASH_MIN_VERSION}\n" | LC_ALL=C sort -n -t"." | head -n1)" != "${BASH_MIN_VERSION}"
  ]]
then
  echo "BASH ${BASH_MIN_VERSION} required (you have $BASH_VERSION)"
  exit 1
fi

export HOME PS4
export rvm_trace_flag rvm_debug_flag rvm_user_install_flag rvm_ignore_rvmrc rvm_prefix rvm_path

shopt -s extglob
PS4="+ \${BASH_SOURCE##\${rvm_path:-}} : \${FUNCNAME[0]:+\${FUNCNAME[0]}()}  \${LINENO} > "
set -o errtrace
set -o errexit

log()  { printf "%b\n" "$*"; }

fail() { log "\nERROR: $*\n" ; exit 1 ; }

if
  [[ -z "${rvm_tar_command:-}" ]] && builtin command -v gtar >/dev/null
then
  rvm_tar_command=gtar
elif
  ${rvm_tar_command:-tar} --help 2>&1 | GREP_OPTIONS="" \grep -- --strip-components >/dev/null
then
  rvm_tar_command="${rvm_tar_command:-tar}"
else
  case "$(uname)" in
    (OpenBSD)
      log "Trying to install GNU version of tar, might require sudo password"
      if (( UID ))
      then sudo pkg_add -z gtar-1
      else pkg_add -z gtar-1
      fi
      rvm_tar_command=gtar
      ;;
    (Darwin|FreeBSD) # it's not possible to autodetect on OSX, the help/man does not mention all flags
      rvm_tar_command=tar
      ;;
  esac
  builtin command -v ${rvm_tar_command:-gtar} >/dev/null ||
  fail "Could not find GNU compatible version of 'tar' command, make sure it's available first before continuing installation."
fi
if
  [[ ! " ${rvm_tar_options:-} " =~ " --no-same-owner "  ]] &&
  $rvm_tar_command --help 2>&1 | GREP_OPTIONS="" \grep -- --no-same-owner >/dev/null
then
  rvm_tar_options="${rvm_tar_options:-}${rvm_tar_options:+ }--no-same-owner"
fi

usage()
{
  printf "%b" "

Usage

  rvm-installer [options] [action]

Options

  [[--]version] <latest|latest-minor|latest-x|latest-x.y|x.y.z> - Install RVM version
  [--]branch    <name> - Install RVM head, from named branch
  --trace              - used to debug the installer script

Actions

  master - Install RVM master branch from wayneeseguin rvm repo (Default).
  stable - Install RVM stable branch from wayneeseguin rvm repo.
  help   - Display CLI help (this output)

Branches:

  branch <branch>
  branch /<branch>
  branch <repo>/
  branch <repo>/<branch>

  Defaults:

    branch: master
    repo:   wayneeseguin

"
}

#Searches for highest available version for the given pattern
# fetch_version 1.10. -> 1.10.3
# fetch_version 1. -> 1.11.0
# fetch_version "" -> 2.0.1
fetch_version()
{
  curl -s https://api.github.com/repos/wayneeseguin/rvm/tags |
    sed -n '/"name": / {s/^.*".*": "\(.*\)".*$/\1/; p;}' |
    sort -t. -k 1,1n -k 2,2n -k 3,3n -k 4,4n -k 5,5n |
    GREP_OPTIONS="" \grep "^${1:-}" | tail -n 1
}

install_release()
{
  typeset _version
  _version=$1
  log "Downloading RVM version ${_version}"
  get_and_unpack \
    https://github.com/wayneeseguin/rvm/archive/${_version}.tar.gz \
    rvm-${_version}.tar.gz
}

install_head()
{
  typeset _repo _branch
  case "$1" in
    (/*)
      _repo=wayneeseguin
      _branch=${1#/}
      ;;
    (*/)
      _repo=${1%/}
      _branch=master
      ;;
    (*/*)
      _repo=${1%%/*}
      _branch=${1#*/}
      ;;
    (*)
      _repo=wayneeseguin
      _branch=$1
      ;;
  esac
  log "Downloading RVM from ${_repo} branch ${_branch}"
  get_and_unpack \
    https://github.com/wayneeseguin/rvm/archive/${_branch}.tar.gz \
    ${_repo}-rvm-${_branch//\//_}.tgz
}

# duplication marker dfkjdjngdfjngjcszncv
# Drop in cd which _doesn't_ respect cdpath
__rvm_cd()
{
    typeset old_cdpath ret
    ret=0
    old_cdpath="${CDPATH}"
    CDPATH="."
    chpwd_functions="" builtin cd "$@" || ret=$?
    CDPATH="${old_cdpath}"
    return $ret
}

get_and_unpack()
{
  typeset _url _file _patern _return
  _url=$1
  _file=$2

  curl -L ${_url} -o ${rvm_archives_path}/${_file} ||
  {
    _return=$?
    case $_return in
      (60)
        log "
Could not download '${_url}'.
  Make sure your certificates are up to date as described above.
  To continue in insecure mode run 'echo insecure >> ~/.curlrc'.
"
        ;;
      (77)
        log "
It looks like you have old certificates, run:

    curl -O http://curl.haxx.se/ca/cacert.pem && sudo mv cacert.pem /usr/local/etc/openssl/cacert.pem

Replace /usr/local/etc/openssl/cacert.pem with the displayed CAfile.
"
        ;;
      (*)
        log "
Could not download '${_url}'.
  curl returned status '$ret'.
"
        ;;
    esac
    return $_return
  }

  [[ -d "${rvm_src_path}/rvm" ]] || \mkdir -p "${rvm_src_path}/rvm"
  __rvm_cd "${rvm_src_path}/rvm" ||
  {
    _return=$?
    log "Could not change directory '${rvm_src_path}/rvm'."
    return $_return
  }

  rm -rf ${rvm_src_path}/rvm/*
  $rvm_tar_command xzf ${rvm_archives_path}/${_file} ${rvm_tar_options:-} --strip-components 1 ||
  {
    _return=$?
    log "Could not extract RVM sources."
    return $_return
  }
}

# Tracing, if asked for.
if [[ "$*" =~ --trace ]] || (( ${rvm_trace_flag:-0} > 0 ))
then
  set -o xtrace
  rvm_trace_flag=1
fi

# Variable initialization, remove trailing slashes if they exist on HOME
true \
  ${rvm_trace_flag:=0} ${rvm_debug_flag:=0} ${rvm_user_install_flag:=0}\
  ${rvm_ignore_rvmrc:=0} HOME="${HOME%%+(\/)}"


if (( rvm_ignore_rvmrc == 0 ))
then
  for rvmrc in /etc/rvmrc "$HOME/.rvmrc"
  do
    if [[ -s "$rvmrc" ]]
    then
      if GREP_OPTIONS="" \grep '^\s*rvm .*$' "$rvmrc" >/dev/null 2>&1
      then
        printf "%b" "
Error: $rvmrc is for rvm settings only.
rvm CLI may NOT be called from within $rvmrc.
Skipping the loading of $rvmrc
"
        exit 1
      else
        source "$rvmrc"
      fi
    fi
  done
fi

if [[ -z "${rvm_path:-}" ]]
then
  if (( UID == 0 ))
  then
    rvm_user_install_flag=0
    rvm_prefix="/usr/local"
    rvm_path="${rvm_prefix}/rvm"
  else
    rvm_user_install_flag=1
    rvm_prefix="$HOME"
    rvm_path="${rvm_prefix}/.rvm"
  fi
fi
if [[ -z "${rvm_prefix}" ]]
then
  rvm_prefix=$( dirname $rvm_path )
fi

install_rubies=()
install_gems=()
flags=()
# Parse CLI arguments.
while (( $# > 0 ))
do
  token="$1"
  shift
  case "$token" in

    --trace)
      set -o xtrace
      rvm_trace_flag=1
      flags+=( "$token" )
      ;;

    --debug)
      rvm_debug_flag=1
      flags+=( "$token" )
      ;;

    --path)
      if [[ -n "${1:-}" ]]
      then
        rvm_path="$1"
        shift
      else
        fail "--path must be followed by a path."
      fi
      ;;

    --branch|branch) # Install RVM from a given branch
      if [[ -n "${1:-}" ]]
      then
        version="head"
        branch="$1"
        shift
      else
        fail "--branch must be followed by a branchname."
      fi
      ;;

    --user-install|--ignore-dotfiles)
      token=${token#--}
      token=${token//-/_}
      export "rvm_${token}_flag"=1
      printf "%b" "Turning on ${token/_/ } mode.\n"
      ;;

    --auto-dotfiles)
      flags+=( "$token" )
      export "rvm_auto_dotfiles_flag"=1
      printf "%b" "Turning on auto dotfiles mode.\n"
      ;;

    --auto)
      export "rvm_auto_dotfiles_flag"=1
      printf "%b" "Warning, --auto is deprecated in favor of --auto-dotfiles.\n"
      ;;

    --autolibs=*)
      flags+=( "$token" )
      export rvm_autolibs_flag="${token#--autolibs=}"
      ;;

    --with-gems=*)
      flags+=( "$token" )
      export rvm_with_gems="${token#--with-gems=}"
      printf "%b" "Installing RVM with gems: ${rvm_with_gems}.\n"
      ;;

    --without-gems=*)
      flags+=( "$token" )
      export rvm_without_gems="${token#--without-gems=}"
      printf "%b" "Installing RVM without gems: ${rvm_without_gems}.\n"
      ;;

    --version|version)
      version="$1"
      shift
      ;;

    head)
      version="head"
      branch="master"
      ;;

    stable|master)
      version="head"
      branch="$token"
      ;;

    latest|latest-*|+([[:digit:]]).+([[:digit:]]).+([[:digit:]]))
      version="$token"
      ;;

    --ruby)
      install_rubies+=( ruby )
      ;;

    --ruby=*)
      token=${token#--ruby=}
      install_rubies+=( ${token//,/ } )
      ;;

    --rails)
      install_gems+=( rails )
      ;;

    --gems=*)
      token=${token#--gems=}
      install_gems+=( ${token//,/ } )
      ;;

    (--add-to-rvm-group)
      flags+=( "$token" )
      export rvm_add_users_to_rvm_group="$1"
      shift
      ;;

    help|usage)
      usage
      exit 0
      ;;
  *)
    usage
    exit 1
    ;;

  esac
done

case "$rvm_path" in
  *[[:space:]]*)
    printf "%b" "
It looks you are one of the happy *space* users(in home dir name),
RVM is not yet fully ready for it, use this trick to fix it:

    sudo ln -s \"$HOME/.rvm/\" /$USER.rvm
    echo \"export rvm_path=/$USER.rvm\" >> \"$HOME/.rvmrc\"

and start installing again.

"
    exit 2
  ;;
  /usr/share/ruby-rvm)
    printf "%b" "
It looks you are one of the happy Ubuntu users,
RVM packaged by Ubuntu is old and broken,
follow this link for details how to fix:

  http://stackoverflow.com/a/9056395/497756

"
    [[ "${rvm_uses_broken_ubuntu_path:-no}" == "yes" ]] || exit 3
  ;;
esac

if (( ${#install_gems[@]} > 0 && ${#install_rubies[@]} == 0 ))
then
  install_rubies=( ruby )
fi

if (( ${#install_rubies[@]} > 0 ))
then
  echo "Please read and follow further instructions."
  echo "Press ENTER to continue."
  builtin read -n 1 -s -r anykey
fi

true "${version:=head}"

if [[ "$rvm_path" != /* ]]
then
  fail "The rvm install path must be fully qualified. Tried $rvm_path"
fi

rvm_src_path="$rvm_path/src"
rvm_archives_path="$rvm_path/archives"
rvm_releases_url="https://rvm.io/releases"

for dir in "$rvm_src_path" "$rvm_archives_path"
do
  if [[ ! -d "$dir" ]]
  then
    mkdir -p "$dir"
  fi
done

# Perform the actual installation, first we obtain the source using whichever
# means was specified, if any. Defaults to head.
case "${version}" in
  (head)
    echo "${branch}" > "$rvm_path/RELEASE"
    install_head ${branch:-master} || exit $?
    ;;

  (latest)
    echo "${version}" > "$rvm_path/RELEASE"
    install_release $(fetch_version "") || exit $?
    ;;

  (latest-minor)
    echo "${version}" > "$rvm_path/RELEASE"
    version="$(cat "$rvm_path/VERSION")"
    install_release $(fetch_version "${version%.*}") || exit $?
    ;;

  (latest-*)
    echo "${version}" > "$rvm_path/RELEASE"
    install_release $(fetch_version "${version#latest-}") || exit $?
    ;;

  (+([[:digit:]]).+([[:digit:]]).+([[:digit:]])) # x.y.z
    echo "version" > "$rvm_path/RELEASE"
    install_release ${version} || exit $?
    ;;

  (*)
    fail "Something went wrong, unrecognized version '$version'"
    ;;
esac

# required flag - path to install
flags+=( --path "$rvm_path" )

chmod +x ./scripts/install
./scripts/install "${flags[@]}"

if (( ${#install_rubies[@]} > 0 ))
then
  (
    source ${rvm_scripts_path:-${rvm_path}/scripts}/rvm
    source ${rvm_scripts_path:-${rvm_path}/scripts}/version
    __rvm_version

    for _ruby in ${install_rubies[@]}
    do command rvm install ${_ruby} -j 2
    done
    # set the first one as default, skip rest
    for _ruby in ${install_rubies[@]}
    do
      rvm alias create default ${_ruby}
      break
    done

    for _gem in ${install_gems[@]}
    do rvm all do gem install ${_gem}
    done

    printf "%b" "
  * To start using RVM you need to run \`source $rvm_path/scripts/rvm\`
    in all your open shell windows, in rare cases you need to reopen all shell windows.
"

    if [[ "${install_gems[*]}" =~ "rails" ]]
    then
      printf "%b" "
  * To start using rails you need to run \`rails new <project_dir>\`.
"
    fi
  )
fi
* Connection #1 to host raw.github.com left intact
* Closing connection #0
* SSLv3, TLS alert, Client hello (1):
* Closing connection #1
* SSLv3, TLS alert, Client hello (1):

That's it!

Luis
> rubyversionmanager+unsub...@googlegroups.com
> For more options, visit this group at
> http://groups.google.com/group/rubyversionmanager?hl=en
>
> ---
> You received this message because you are subscribed to the Google Groups
> "RVM (Ruby Version Manager)" group.
> To unsubscribe from this group and stop receiving emails from it, send an
> email to rubyversionmanager+unsub...@googlegroups.com.

alfam...@gmail.com

unread,
Mar 4, 2013, 9:48:41 AM3/4/13
to rubyversi...@googlegroups.com
Oh! I forgot!

Do you have a .curlrc file which is affecting the SSL negotiation?
No. The command "ls -la" doesn't report anything alike.

Luis

Richard Michael

unread,
Mar 4, 2013, 2:00:05 PM3/4/13
to rubyversi...@googlegroups.com
Ok. The entire RVM installer has successfully downloaded. We'll need
to debug the RVM installer itself, as it runs curl as well.

Download and save the RVM installer to a file:

"\curl -L https://get.rvm.io -o ./rvm-installer"

You can edit the rvm-installer to add the "-v" option to the curl
invocation, *or* "echo verbose >> $HOME/.curlrc' to set curl to always
debug (then remove the rc file when we're done).

Running the installer will generate a lot of output. Please
investigate gist.github.com and post the
output there.

To install 'stable' RVM:

"./rvm-installer stable"

or,

If you have 'tee' installed, you can read the output while installing
*and* capture it to a file (ex. "rvm-output") quite easily:

"./rvm-installer stable 2>&1 | tee rvm-output | less -r"


Cheers
>> > rubyversionmana...@googlegroups.com
>> > For more options, visit this group at
>> > http://groups.google.com/group/rubyversionmanager?hl=en
>> >
>> > ---
>> > You received this message because you are subscribed to the Google
>> > Groups
>> > "RVM (Ruby Version Manager)" group.
>> > To unsubscribe from this group and stop receiving emails from it, send
>> > an
>> > email to rubyversionmana...@googlegroups.com.
>> > For more options, visit https://groups.google.com/groups/opt_out.
>> >
>> >
>
> --
> --
> Please visit http://rvm.io/ for documentation on rvm.
> Please visit https://www.pivotaltracker.com/projects/26822 to see what is
> being worked on currently.
>
> You received this message because you are subscribed to the Google
> Groups "rvm (Ruby Version Manager)" group.
> To post to this group, send email to rubyversi...@googlegroups.com
> To unsubscribe from this group, send email to
> rubyversionmana...@googlegroups.com
> For more options, visit this group at
> http://groups.google.com/group/rubyversionmanager?hl=en
>
> ---
> You received this message because you are subscribed to the Google Groups
> "RVM (Ruby Version Manager)" group.
> To unsubscribe from this group and stop receiving emails from it, send an
> email to rubyversionmana...@googlegroups.com.

alfam...@gmail.com

unread,
Mar 4, 2013, 4:51:43 PM3/4/13
to rubyversi...@googlegroups.com
Hi Richard!
I tried to use the command:  \curl -L https://get.rvm.io -o ./rvm-installer
But :-)  I got the same curl (35) Unknown SSL protocol error in connection to raw.github.com:443.
Wow!
I posted the same problem in a brazilian discussion list and until now no one showed a solution. But two of them argued me why I have to use rvm in a production environment. I answered that I have a computer to serve at least three Rails apps and rvm gives us gemset isolations etc. So I would like to ask you: do you recommend rvm in production? Is it the best solution?

Thanks for your help!
Luis
>> > rubyversionmanager+unsub...@googlegroups.com
>> > For more options, visit this group at
>> > http://groups.google.com/group/rubyversionmanager?hl=en
>> >
>> > ---
>> > You received this message because you are subscribed to the Google
>> > Groups
>> > "RVM (Ruby Version Manager)" group.
>> > To unsubscribe from this group and stop receiving emails from it, send
>> > an
>> > email to rubyversionmanager+unsub...@googlegroups.com.
>> > For more options, visit https://groups.google.com/groups/opt_out.
>> >
>> >
>
> --
> --
> Please visit http://rvm.io/ for documentation on rvm.
> Please visit https://www.pivotaltracker.com/projects/26822 to see what is
> being worked on currently.
>
> You received this message because you are subscribed to the Google
> Groups "rvm (Ruby Version Manager)" group.
> To post to this group, send email to rubyversi...@googlegroups.com
> To unsubscribe from this group, send email to
> rubyversionmanager+unsub...@googlegroups.com
> For more options, visit this group at
> http://groups.google.com/group/rubyversionmanager?hl=en
>
> ---
> You received this message because you are subscribed to the Google Groups
> "RVM (Ruby Version Manager)" group.
> To unsubscribe from this group and stop receiving emails from it, send an
> email to rubyversionmanager+unsub...@googlegroups.com.

Richard Michael

unread,
Mar 4, 2013, 5:07:52 PM3/4/13
to rubyversi...@googlegroups.com
You seem to have an intermittent network problem, because in your
previous email the curl command worked successfully.

When you receive the SSL error, try a plain connection with openssl itself:

"openssl s_client -connect raw.github.com:443"

I wonder if you are having a problem with either DNS, or a firewall or
proxy. In any case, it does not appear to be RVM.


Yes, I use RVM in production. I cannot tell you if it is the "best"
solution; it depends on you. :-) However, I have not had problems.
>> >> > rubyversionmana...@googlegroups.com
>> >> > For more options, visit this group at
>> >> > http://groups.google.com/group/rubyversionmanager?hl=en
>> >> >
>> >> > ---
>> >> > You received this message because you are subscribed to the Google
>> >> > Groups
>> >> > "RVM (Ruby Version Manager)" group.
>> >> > To unsubscribe from this group and stop receiving emails from it,
>> >> > send
>> >> > an
>> >> > email to rubyversionmana...@googlegroups.com.
>> >> > For more options, visit https://groups.google.com/groups/opt_out.
>> >> >
>> >> >
>> >
>> > --
>> > --
>> > Please visit http://rvm.io/ for documentation on rvm.
>> > Please visit https://www.pivotaltracker.com/projects/26822 to see what
>> > is
>> > being worked on currently.
>> >
>> > You received this message because you are subscribed to the Google
>> > Groups "rvm (Ruby Version Manager)" group.
>> > To post to this group, send email to rubyversi...@googlegroups.com
>> > To unsubscribe from this group, send email to
>> > rubyversionmana...@googlegroups.com
>> > For more options, visit this group at
>> > http://groups.google.com/group/rubyversionmanager?hl=en
>> >
>> > ---
>> > You received this message because you are subscribed to the Google
>> > Groups
>> > "RVM (Ruby Version Manager)" group.
>> > To unsubscribe from this group and stop receiving emails from it, send
>> > an
>> > email to rubyversionmana...@googlegroups.com.
>> > For more options, visit https://groups.google.com/groups/opt_out.
>> >
>> >
>
> --
> --
> Please visit http://rvm.io/ for documentation on rvm.
> Please visit https://www.pivotaltracker.com/projects/26822 to see what is
> being worked on currently.
>
> You received this message because you are subscribed to the Google
> Groups "rvm (Ruby Version Manager)" group.
> To post to this group, send email to rubyversi...@googlegroups.com
> To unsubscribe from this group, send email to
> rubyversionmana...@googlegroups.com
> For more options, visit this group at
> http://groups.google.com/group/rubyversionmanager?hl=en
>
> ---
> You received this message because you are subscribed to the Google Groups
> "RVM (Ruby Version Manager)" group.
> To unsubscribe from this group and stop receiving emails from it, send an
> email to rubyversionmana...@googlegroups.com.

alfam...@gmail.com

unread,
Mar 4, 2013, 5:15:02 PM3/4/13
to rubyversi...@googlegroups.com
Here I am again,
I got rvm-installer directly from Github, added the "-v" option to the curl invocation, saved and sent the file to my server. Then the command "./rvm-installer stable" and Ubuntu replied "permission denied". Then I tried "sudo ./rvm-installer stable" and Ubuntu replied: sudo: ./rvm-installer: command not found.
I'm sorry.



Em segunda-feira, 4 de março de 2013 16h00min05s UTC-3, Richard Michael escreveu:
>> > rubyversionmanager+unsub...@googlegroups.com
>> > For more options, visit this group at
>> > http://groups.google.com/group/rubyversionmanager?hl=en
>> >
>> > ---
>> > You received this message because you are subscribed to the Google
>> > Groups
>> > "RVM (Ruby Version Manager)" group.
>> > To unsubscribe from this group and stop receiving emails from it, send
>> > an
>> > email to rubyversionmanager+unsub...@googlegroups.com.
>> > For more options, visit https://groups.google.com/groups/opt_out.
>> >
>> >
>
> --
> --
> Please visit http://rvm.io/ for documentation on rvm.
> Please visit https://www.pivotaltracker.com/projects/26822 to see what is
> being worked on currently.
>
> You received this message because you are subscribed to the Google
> Groups "rvm (Ruby Version Manager)" group.
> To post to this group, send email to rubyversi...@googlegroups.com
> To unsubscribe from this group, send email to
> rubyversionmanager+unsub...@googlegroups.com
> For more options, visit this group at
> http://groups.google.com/group/rubyversionmanager?hl=en
>
> ---
> You received this message because you are subscribed to the Google Groups
> "RVM (Ruby Version Manager)" group.
> To unsubscribe from this group and stop receiving emails from it, send an
> email to rubyversionmanager+unsub...@googlegroups.com.

Richard Michael

unread,
Mar 5, 2013, 3:52:52 AM3/5/13
to rubyversi...@googlegroups.com
Sorry, I did not mention that you must make the script executable
before trying to run it. So:

"chmod +x ./rvm-installer"
"./rvm-installer stable"

I would not run it using sudo until you fix/diagnose the problem.
While debugging the installation, it will be easier to install it into
your own user directory.

You downloaded the rvm-installer using a different computer, then sent
it to a server? If the RVM installer will not download on the server
itself (\curl -L ... , etc.), then I suspect the rvm-installer script
will run either.

When you posted the successful "\curl -L ... " output several posts
back, which computer was that on? We should be careful not to
confused the two computers, I thought you were using only the server.
>> >> > rubyversionmana...@googlegroups.com
>> >> > For more options, visit this group at
>> >> > http://groups.google.com/group/rubyversionmanager?hl=en
>> >> >
>> >> > ---
>> >> > You received this message because you are subscribed to the Google
>> >> > Groups
>> >> > "RVM (Ruby Version Manager)" group.
>> >> > To unsubscribe from this group and stop receiving emails from it,
>> >> > send
>> >> > an
>> >> > email to rubyversionmana...@googlegroups.com.
>> >> > For more options, visit https://groups.google.com/groups/opt_out.
>> >> >
>> >> >
>> >
>> > --
>> > --
>> > Please visit http://rvm.io/ for documentation on rvm.
>> > Please visit https://www.pivotaltracker.com/projects/26822 to see what
>> > is
>> > being worked on currently.
>> >
>> > You received this message because you are subscribed to the Google
>> > Groups "rvm (Ruby Version Manager)" group.
>> > To post to this group, send email to rubyversi...@googlegroups.com
>> > To unsubscribe from this group, send email to
>> > rubyversionmana...@googlegroups.com
>> > For more options, visit this group at
>> > http://groups.google.com/group/rubyversionmanager?hl=en
>> >
>> > ---
>> > You received this message because you are subscribed to the Google
>> > Groups
>> > "RVM (Ruby Version Manager)" group.
>> > To unsubscribe from this group and stop receiving emails from it, send
>> > an
>> > email to rubyversionmana...@googlegroups.com.
>> > For more options, visit https://groups.google.com/groups/opt_out.
>> >
>> >
>
> --
> --
> Please visit http://rvm.io/ for documentation on rvm.
> Please visit https://www.pivotaltracker.com/projects/26822 to see what is
> being worked on currently.
>
> You received this message because you are subscribed to the Google
> Groups "rvm (Ruby Version Manager)" group.
> To post to this group, send email to rubyversi...@googlegroups.com
> To unsubscribe from this group, send email to
> rubyversionmana...@googlegroups.com
> For more options, visit this group at
> http://groups.google.com/group/rubyversionmanager?hl=en
>
> ---
> You received this message because you are subscribed to the Google Groups
> "RVM (Ruby Version Manager)" group.
> To unsubscribe from this group and stop receiving emails from it, send an
> email to rubyversionmana...@googlegroups.com.

Luis Ruby

unread,
Mar 5, 2013, 2:15:09 PM3/5/13
to rubyversi...@googlegroups.com
Richard,
You gave me a very important hint - probably a problem with my network. I noticed that since some days ago I didn't get access to my Internet Banking - that uses https (like RVM). I always thought that the problem was with my bank. So I tried to use a modem 3G to access my bank and it worked! Yesterday my net was disabled by the provider for maintenance. Then I linked the facts. All this process worked fine in the past - why not now?
I don't have problems to update RVM on my notebook...
So, I will use this fact to change my provider (that gives me only 1Mbps) to GVT that offers me 5Mbps.
I will bring my server to my home where there isn't net problems.
And thank you very very much for your time. You are a very kind person!

Luis
>> >> > rubyversionmanager+unsub...@googlegroups.com
>> >> > For more options, visit this group at
>> >> > http://groups.google.com/group/rubyversionmanager?hl=en
>> >> >
>> >> > ---
>> >> > You received this message because you are subscribed to the Google
>> >> > Groups
>> >> > "RVM (Ruby Version Manager)" group.
>> >> > To unsubscribe from this group and stop receiving emails from it,
>> >> > send
>> >> > an
>> >> > email to rubyversionmanager+unsub...@googlegroups.com.
>> >> > For more options, visit https://groups.google.com/groups/opt_out.
>> >> >
>> >> >
>> >
>> > --
>> > --
>> > Please visit http://rvm.io/ for documentation on rvm.
>> > Please visit https://www.pivotaltracker.com/projects/26822 to see what
>> > is
>> > being worked on currently.
>> >
>> > You received this message because you are subscribed to the Google
>> > Groups "rvm (Ruby Version Manager)" group.
>> > To post to this group, send email to rubyversi...@googlegroups.com
>> > To unsubscribe from this group, send email to
>> > rubyversionmanager+unsub...@googlegroups.com
>> > For more options, visit this group at
>> > http://groups.google.com/group/rubyversionmanager?hl=en
>> >
>> > ---
>> > You received this message because you are subscribed to the Google
>> > Groups
>> > "RVM (Ruby Version Manager)" group.
>> > To unsubscribe from this group and stop receiving emails from it, send
>> > an
>> > email to rubyversionmanager+unsub...@googlegroups.com.
>> > For more options, visit https://groups.google.com/groups/opt_out.
>> >
>> >
>
> --
> --
> Please visit http://rvm.io/ for documentation on rvm.
> Please visit https://www.pivotaltracker.com/projects/26822 to see what is
> being worked on currently.
>
> You received this message because you are subscribed to the Google
> Groups "rvm (Ruby Version Manager)" group.
> To post to this group, send email to rubyversi...@googlegroups.com
> To unsubscribe from this group, send email to
> rubyversionmanager+unsub...@googlegroups.com
> For more options, visit this group at
> http://groups.google.com/group/rubyversionmanager?hl=en
>
> ---
> You received this message because you are subscribed to the Google Groups
> "RVM (Ruby Version Manager)" group.
> To unsubscribe from this group and stop receiving emails from it, send an
> email to rubyversionmanager+unsub...@googlegroups.com.

Richard Michael

unread,
Mar 5, 2013, 3:36:05 PM3/5/13
to rubyversi...@googlegroups.com
I'm glad it's resolved. Perhaps you don't need to change providers,
but just get some help from their technical support if there is a
problem with the equipment or network configuration. Good luck!
>> >> >> > rubyversionmana...@googlegroups.com
>> >> >> > For more options, visit this group at
>> >> >> > http://groups.google.com/group/rubyversionmanager?hl=en
>> >> >> >
>> >> >> > ---
>> >> >> > You received this message because you are subscribed to the Google
>> >> >> > Groups
>> >> >> > "RVM (Ruby Version Manager)" group.
>> >> >> > To unsubscribe from this group and stop receiving emails from it,
>> >> >> > send
>> >> >> > an
>> >> >> > email to rubyversionmana...@googlegroups.com.
>> >> >> > For more options, visit https://groups.google.com/groups/opt_out.
>> >> >> >
>> >> >> >
>> >> >
>> >> > --
>> >> > --
>> >> > Please visit http://rvm.io/ for documentation on rvm.
>> >> > Please visit https://www.pivotaltracker.com/projects/26822 to see
>> >> > what
>> >> > is
>> >> > being worked on currently.
>> >> >
>> >> > You received this message because you are subscribed to the Google
>> >> > Groups "rvm (Ruby Version Manager)" group.
>> >> > To post to this group, send email to rubyversi...@googlegroups.com
>> >> > To unsubscribe from this group, send email to
>> >> > rubyversionmana...@googlegroups.com
>> >> > For more options, visit this group at
>> >> > http://groups.google.com/group/rubyversionmanager?hl=en
>> >> >
>> >> > ---
>> >> > You received this message because you are subscribed to the Google
>> >> > Groups
>> >> > "RVM (Ruby Version Manager)" group.
>> >> > To unsubscribe from this group and stop receiving emails from it,
>> >> > send
>> >> > an
>> >> > email to rubyversionmana...@googlegroups.com.
>> >> > For more options, visit https://groups.google.com/groups/opt_out.
>> >> >
>> >> >
>> >
>> > --
>> > --
>> > Please visit http://rvm.io/ for documentation on rvm.
>> > Please visit https://www.pivotaltracker.com/projects/26822 to see what
>> > is
>> > being worked on currently.
>> >
>> > You received this message because you are subscribed to the Google
>> > Groups "rvm (Ruby Version Manager)" group.
>> > To post to this group, send email to rubyversi...@googlegroups.com
>> > To unsubscribe from this group, send email to
>> > rubyversionmana...@googlegroups.com
>> > For more options, visit this group at
>> > http://groups.google.com/group/rubyversionmanager?hl=en
>> >
>> > ---
>> > You received this message because you are subscribed to the Google
>> > Groups
>> > "RVM (Ruby Version Manager)" group.
>> > To unsubscribe from this group and stop receiving emails from it, send
>> > an
>> > email to rubyversionmana...@googlegroups.com.
>> > For more options, visit https://groups.google.com/groups/opt_out.
>> >
>> >
>
> --
> --
> Please visit http://rvm.io/ for documentation on rvm.
> Please visit https://www.pivotaltracker.com/projects/26822 to see what is
> being worked on currently.
>
> You received this message because you are subscribed to the Google
> Groups "rvm (Ruby Version Manager)" group.
> To post to this group, send email to rubyversi...@googlegroups.com
> To unsubscribe from this group, send email to
> rubyversionmana...@googlegroups.com
> For more options, visit this group at
> http://groups.google.com/group/rubyversionmanager?hl=en
>
> ---
> You received this message because you are subscribed to the Google Groups
> "RVM (Ruby Version Manager)" group.
> To unsubscribe from this group and stop receiving emails from it, send an
> email to rubyversionmana...@googlegroups.com.
Reply all
Reply to author
Forward
0 new messages